## py-madvr2 1.8.12

=== debian/changelog ===
py-madvr2 (1.8.12-1) unstable; urgency=medium

  * Initial release. (Closes: #1109498)

 -- Edward Betts <edward@4angle.com>  Sat, 19 Jul 2025 09:49:34 +0200

## py-madvr2 1.8.14

=== Makefile ===
.PHONY: test dev_install build upload

dev_install:
	python3 -m venv .venv
	. .venv/bin/activate && \
	pip3 install -r requirements-test.txt

test:
	. .venv/bin/activate && pytest -s tests

upload: build
	twine upload dist/*

build:
	rm -rf dist/*
	python3 -m build

=== debian/changelog ===
py-madvr2 (1.8.14-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 22 Jul 2025 20:33:43 +0100

=== debian/control ===
Source: py-madvr2
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/iloveicedgreentea/py-madvr
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/py-madvr2
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/py-madvr2.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-py-madvr2
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Library implementing IP control for madVR Envy
 This library provides a means to control madVR Envy devices over IP by
 implementing the specified protocol for such interactions. It supports
 asynchronous operations, allowing for real-time notifications and command
 processing. Among the features, it incorporates an efficient connection
 management system: user commands benefit from a connection pool mechanism that
 optimizes resource usage by keeping connections briefly active post-
 interaction, while background tasks utilize dedicated connections. This
 approach ensures reliable communication by mitigating race conditions and
 preventing connection hangs. The library caters to typical command structures,
 like those documented in device manuals, hence covering standard remote
 control operations. It also allows users to configure wake-on-LAN
 capabilities, either by automatically sending wake signals or enabling user-
 provided automations. Display functions enable onscreen messages and audio
 adjustments, and comply with user-specified durations and formats.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-k "not test_open_connection and not test_power_off and not test_power_off_standby and not test_basic_connection and not test_display_message and not test_ha_command_formats"

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/iloveicedgreentea/py-madvr/tags .*/v?(\d\S+)\.tar\.gz

## py-madvr2 1.9.1

=== debian/changelog ===
py-madvr2 (1.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove 'Priority: optional', now the default.
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Sat, 03 Jan 2026 00:41:59 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -13,8 +12,7 @@
 Build-Depends-Indep:
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/iloveicedgreentea/py-madvr
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/py-madvr2
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/py-madvr2.git

=== debian/watch ===
Version: 5

Template: Github
Owner: iloveicedgreentea
Project: py-madvr
